Package org.zkoss.mesg

## Interface MCommon

- All Superinterfaces:
    `MessageConst`

      public interface MCommon
      extends MessageConst

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.Aide, MessageConst.BundleInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CLASS_NOT_COMPATIABLE` |
    `static int` | `EMPTY_NOT_ALLOWED` |
    `static int` | `EXPECTING_CHARACTER` |
    `static int` | `FAILED_TO_LOAD` |
    `static int` | `FILE_DUPLICATE` |
    `static int` | `FILE_LOADED` |
    `static int` | `FILE_NOT_FOUND` |
    `static int` | `FILE_NOT_FOUND_IGNORED` |
    `static int` | `FILE_OPENING` |
    `static int` | `FILE_READ_FAILED` |
    `static int` | `FILE_REMOVE_FAILED` |
    `static int` | `FILE_WRITE_FAILED` |
    `static int` | `ILLEGAL_CHAR` |
    `static int` | `MESSAGE_CODE_NOT_FOUND` |
    `static int` | `MESSAGE_ID` |
    `static int` | `NOT_A_FILE` |
    `static int` | `NOT_FOUND` |
    `static int` | `QUOTE_UNMATCHED` |
    `static int` | `REQUIRED` |
    `static int` | `SERVICE_INIT_OK` |
    `static int` | `SERVICE_INIT_TWICE_NOT_ALLOWED` |
    `static int` | `SERVICE_STOP_OK` |
    `static int` | `UNEXPECTED_CHARACTER` |
    `static int` | `UNKNOWN_EXCEPTION` |
    `static int` | `XML_ATTRIBUTE_REQUIRED` |
    `static int` | `XML_ELEMENT_REQUIRED` |

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

- - ### Field Detail

    - #### MESSAGE_ID

          static final int MESSAGE_ID

    - #### EMPTY_NOT_ALLOWED

          static final int EMPTY_NOT_ALLOWED

    - #### REQUIRED

          static final int REQUIRED

    - #### ILLEGAL_CHAR

          static final int ILLEGAL_CHAR

    - #### MESSAGE_CODE_NOT_FOUND

          static final int MESSAGE_CODE_NOT_FOUND

    - #### UNKNOWN_EXCEPTION

          static final int UNKNOWN_EXCEPTION

    - #### NOT_FOUND

          static final int NOT_FOUND

    - #### FILE_NOT_FOUND

          static final int FILE_NOT_FOUND

    - #### FILE_READ_FAILED

          static final int FILE_READ_FAILED

    - #### FILE_WRITE_FAILED

          static final int FILE_WRITE_FAILED

    - #### FILE_REMOVE_FAILED

          static final int FILE_REMOVE_FAILED

    - #### FILE_OPENING

          static final int FILE_OPENING

    - #### FILE_LOADED

          static final int FILE_LOADED

    - #### FILE_NOT_FOUND_IGNORED

          static final int FILE_NOT_FOUND_IGNORED

    - #### FILE_DUPLICATE

          static final int FILE_DUPLICATE

    - #### NOT_A_FILE

          static final int NOT_A_FILE

    - #### FAILED_TO_LOAD

          static final int FAILED_TO_LOAD

    - #### SERVICE_INIT_OK

          static final int SERVICE_INIT_OK

    - #### SERVICE_STOP_OK

          static final int SERVICE_STOP_OK

    - #### SERVICE_INIT_TWICE_NOT_ALLOWED

          static final int SERVICE_INIT_TWICE_NOT_ALLOWED

    - #### CLASS_NOT_COMPATIABLE

          static final int CLASS_NOT_COMPATIABLE

    - #### XML_ELEMENT_REQUIRED

          static final int XML_ELEMENT_REQUIRED

    - #### XML_ATTRIBUTE_REQUIRED

          static final int XML_ATTRIBUTE_REQUIRED

    - #### QUOTE_UNMATCHED

          static final int QUOTE_UNMATCHED

    - #### UNEXPECTED_CHARACTER

          static final int UNEXPECTED_CHARACTER

    - #### EXPECTING_CHARACTER

          static final int EXPECTING_CHARACTER